#!/bin/bash

PORT=119
COMMAND=group
ENDCOMMAND=quit
CONFDIR=./conf/
MBOXDIR=./mail/
MESSAGE_NEW="Nowe posty"
MESSAGE_NONEW="Bez nowości"
MESSAGE_SLP="Sleeping"
DELAY=60
NEW=0

echo NNTP Requester started
echo ready to notify...
echo ----------------------

while true; do
  NEW=0

  # Iterate through server list
  while read SERVER; do
    ((cat "$CONFDIR/$SERVER" | sed "s/^/$COMMAND /"); echo $ENDCOMMAND) |
    # List groups for every server, prefix with GROUP command, postfix with EOT
      nc $SERVER $PORT |
    # Connect...
      ./nntp-response-analyzer.pl "$MBOXDIR/$SERVER"
    # Analyze response
   
    if [ $? = 1 ]; then
      # Response said there are is new mail
      echo "@$SERVER: $MESSAGE_NEW"
      NEW=1
    else
      # No new mail
      echo "@$SERVER: $MESSAGE_NONEW"
    fi
  done < <(ls -1 "$CONFDIR")

  if [ $NEW != 0 ]; then
    # Wait for user's confirmation
    echo -n "$MESSAGE_NEW"
    read i
  else
    # Sleep until another check
    echo "$MESSAGE_SLP"
    sleep "$DELAY"
  fi
done;
